%define name 	xvs
%define version	0.1.0b1
%define release	1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	X Visualization System.
Group:		X11/Applications/Multimedia
License:	GPL
Source:		%{name}-%{version}.tar.gz
Requires:	xmms
BuildRequires:	xmms-devel >= 1.2.0
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libxml2 >= 2.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Packager:	Janusz Gregorczyk <jgregor@kki.net.pl>

%description
XVS is a highly customizable visualization plugin for xmms.

%define		_prefix		/usr/X11R6

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" ./configure

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/`%{_bindir}/xmms-config --visualization-plugin-dir`/
install -d $RPM_BUILD_ROOT/`%{_bindir}/xmms-config --data-dir`/

%{__make} DESTDIR=$RPM_BUILD_ROOT install

gzip -9nf ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/xmms/*/*.so
%{_datadir}/xmms/*
